## r-cran-susier 0.11.92

=== DESCRIPTION ===
Encoding: UTF-8
Type: Package
Package: susieR
Title: Sum of Single Effects Linear Regression
Description: Implements methods for variable selection in linear
    regression based on the "Sum of Single Effects" (SuSiE) model, as
    described in Wang et al (2020) <DOI:10.1101/501114> and Zou et al
    (2021) <DOI:10.1101/2021.11.03.467167>. These methods provide
    simple summaries, called "Credible Sets", for accurately
    quantifying uncertainty in which variables should be selected.
    The methods are motivated by genetic fine-mapping applications,
    and are particularly well-suited to settings where variables are
    highly correlated and detectable effects are sparse. The fitting
    algorithm, a Bayesian analogue of stepwise selection methods
    called "Iterative Bayesian Stepwise Selection" (IBSS), is simple
    and fast, allowing the SuSiE model be fit to large data sets
    (thousands of samples and hundreds of thousands of variables).
Date: 2021-11-12
Version: 0.11.92
Authors@R: c(person("Gao","Wang",role="aut",email="wang.gao@columbia.edu"),
             person("Yuxin","Zou",role="aut"),
             person("Kaiqian","Zhang",role="aut"),
             person("Peter","Carbonetto",role=c("aut","cre"),
                    email="peter.carbonetto@gmail.com"),
	     person("Matthew","Stephens",role="aut"))
URL: https://github.com/stephenslab/susieR
BugReports: https://github.com/stephenslab/susieR/issues
License: MIT + file LICENSE
Depends: R (>= 3.0.0)
Imports: methods, graphics, grDevices, stats, Matrix, matrixStats,
        mixsqp, reshape, crayon, ggplot2
Suggests: curl, testthat, microbenchmark, knitr, rmarkdown, L0Learn,
        genlasso, Rfast
LazyData: yes
LazyDataCompression: xz
NeedsCompilation: no
RoxygenNote: 7.1.2
VignetteBuilder: knitr
Packaged: 2021-11-12 14:53:21 UTC; pcarbo
Author: Gao Wang [aut],
  Yuxin Zou [aut],
  Kaiqian Zhang [aut],
  Peter Carbonetto [aut, cre],
  Matthew Stephens [aut]
Maintainer: Peter Carbonetto <peter.carbonetto@gmail.com>
Repository: CRAN
Date/Publication: 2021-11-12 16:50:02 UTC

=== debian/changelog ===
r-cran-susier (0.11.92-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 28 Nov 2021 07:51:19 +0100

r-cran-susier (0.11.42-1) unstable; urgency=medium

  * Initial release (closes: #996605)

 -- Steffen Moeller <moeller@debian.org>  Fri, 15 Oct 2021 20:23:11 +0200

=== debian/control ===
Source: r-cran-susier
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-matrixstats,
               r-cran-mixsqp,
               r-cran-reshape,
               r-cran-crayon,
               r-cran-ggplot2
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-susier
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-susier.git
Homepage: https://cran.r-project.org/package=susieR
Rules-Requires-Root: no

Package: r-cran-susier
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          caviar,
          finemap
Description: Sum of Single Effects Linear Regression
 Implements methods for variable selection in linear
 regression based on the "Sum of Single Effects" (SuSiE) model, as
 described in Wang et al (2020) <DOI:10.1101/501114>. These methods
 provide simple summaries, called "Credible Sets", for accurately
 quantifying uncertainty in which variables should be selected.
 The methods are motivated by genetic fine-mapping applications,
 and are particularly well-suited to settings where variables are
 highly correlated and detectable effects are sparse. The fitting
 algorithm, a Bayesian analogue of stepwise selection methods
 called "Iterative Bayesian Stepwise Selection" (IBSS), is simple
 and fast, allowing the SuSiE model be fit to large data sets
 (thousands of samples and hundreds of thousands of variables).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/r-cran-susier/usr/lib/R/site-library/susieR/code/caviar.R
	chmod +x debian/r-cran-susier/usr/lib/R/site-library/susieR/code/finemap.R

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/susieR_([-\d.]*)\.tar\.gz

## r-cran-susier 0.12.19+dfsg

=== debian/changelog ===
r-cran-susier (0.12.19+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 16:38:28 +0200

r-cran-susier (0.12.16+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Depends: python3 since the package contains Python code
  * Remove autogenerated HTML docs since it is including compressed JS
  * Fix all permissions
  * Enhance short description
  * Resolve FIXMEs in README.source

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2022 11:03:03 +0200

## r-cran-susier 0.12.27+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -15,8 +15,8 @@
     called "Iterative Bayesian Stepwise Selection" (IBSS), is simple
     and fast, allowing the SuSiE model be fit to large data sets
     (thousands of samples and hundreds of thousands of variables).
-Date: 2021-11-12
-Version: 0.11.92
+Date: 2022-09-05
+Version: 0.12.27
 Authors@R: c(person("Gao","Wang",role="aut",email="wang.gao@columbia.edu"),
              person("Yuxin","Zou",role="aut"),
              person("Kaiqian","Zhang",role="aut"),
@@ -25,18 +25,18 @@
 	     person("Matthew","Stephens",role="aut"))
 URL: https://github.com/stephenslab/susieR
 BugReports: https://github.com/stephenslab/susieR/issues
-License: MIT + file LICENSE
+License: BSD_3_clause + file LICENSE
 Depends: R (>= 3.0.0)
 Imports: methods, graphics, grDevices, stats, Matrix, matrixStats,
         mixsqp, reshape, crayon, ggplot2
 Suggests: curl, testthat, microbenchmark, knitr, rmarkdown, L0Learn,
-        genlasso, Rfast
+        Rfast, cowplot
 LazyData: yes
 LazyDataCompression: xz
 NeedsCompilation: no
 RoxygenNote: 7.1.2
 VignetteBuilder: knitr
-Packaged: 2021-11-12 14:53:21 UTC; pcarbo
+Packaged: 2022-09-06 01:27:57 UTC; pcarbo
 Author: Gao Wang [aut],
   Yuxin Zou [aut],
   Kaiqian Zhang [aut],
@@ -44,4 +44,4 @@
   Matthew Stephens [aut]
 Maintainer: Peter Carbonetto <peter.carbonetto@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-11-12 16:50:02 UTC
+Date/Publication: 2022-09-06 12:50:02 UTC

=== debian/changelog ===
r-cran-susier (0.12.27+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 19 Sep 2022 11:24:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-susier
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-susier
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-susier.git
+Homepage: https://cran.r-project.org/package=susieR
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -13,21 +17,18 @@
                r-cran-reshape,
                r-cran-crayon,
                r-cran-ggplot2
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-susier
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-susier.git
-Homepage: https://cran.r-project.org/package=susieR
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-susier
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python3
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests},
           caviar,
           finemap
-Description: Sum of Single Effects Linear Regression
+Description: GNU R sum of single effects linear regression
  Implements methods for variable selection in linear
  regression based on the "Sum of Single Effects" (SuSiE) model, as
  described in Wang et al (2020) <DOI:10.1101/501114>. These methods

## r-cran-susier 0.12.35+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -15,8 +15,8 @@
     called "Iterative Bayesian Stepwise Selection" (IBSS), is simple
     and fast, allowing the SuSiE model be fit to large data sets
     (thousands of samples and hundreds of thousands of variables).
-Date: 2022-09-05
-Version: 0.12.27
+Date: 2023-02-17
+Version: 0.12.35
 Authors@R: c(person("Gao","Wang",role="aut",email="wang.gao@columbia.edu"),
              person("Yuxin","Zou",role="aut"),
              person("Kaiqian","Zhang",role="aut"),
@@ -29,14 +29,14 @@
 Depends: R (>= 3.0.0)
 Imports: methods, graphics, grDevices, stats, Matrix, matrixStats,
         mixsqp, reshape, crayon, ggplot2
-Suggests: curl, testthat, microbenchmark, knitr, rmarkdown, L0Learn,
-        Rfast, cowplot
+Suggests: curl, testthat, microbenchmark, knitr, rmarkdown, Rfast,
+        cowplot
 LazyData: yes
 LazyDataCompression: xz
 NeedsCompilation: no
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 VignetteBuilder: knitr
-Packaged: 2022-09-06 01:27:57 UTC; pcarbo
+Packaged: 2023-02-17 16:39:00 UTC; pcarbo
 Author: Gao Wang [aut],
   Yuxin Zou [aut],
   Kaiqian Zhang [aut],
@@ -44,4 +44,4 @@
   Matthew Stephens [aut]
 Maintainer: Peter Carbonetto <peter.carbonetto@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-09-06 12:50:02 UTC
+Date/Publication: 2023-02-17 17:50:02 UTC

=== debian/changelog ===
r-cran-susier (0.12.35+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Feb 2023 12:53:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-susier
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-susier.git
 Homepage: https://cran.r-project.org/package=susieR
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	chmod +x `grep -l '^#!' $$(find . -name "*.R")`

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/susieR_([-\d.]*)\.tar\.gz

## r-cran-susier 0.14.2%2Bdfsg

=== debian/changelog ===
r-cran-susier (0.14.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Feb 2026 17:46:19 +0900

## r-cran-susier 0.14.2+dfsg

=== debian/control ===
Source: r-cran-susier
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-matrix,
 r-cran-matrixstats,
 r-cran-mixsqp,
 r-cran-reshape,
 r-cran-crayon,
 r-cran-ggplot2,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-susier
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-susier.git
Homepage: https://cran.r-project.org/package=susieR
Rules-Requires-Root: no

Package: r-cran-susier
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
 python3,
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
 caviar,
 finemap,
Description: GNU R sum of single effects linear regression
 Implements methods for variable selection in linear
 regression based on the "Sum of Single Effects" (SuSiE) model, as
 described in Wang et al (2020) <DOI:10.1101/501114>. These methods
 provide simple summaries, called "Credible Sets", for accurately
 quantifying uncertainty in which variables should be selected.
 The methods are motivated by genetic fine-mapping applications,
 and are particularly well-suited to settings where variables are
 highly correlated and detectable effects are sparse. The fitting
 algorithm, a Bayesian analogue of stepwise selection methods
 called "Iterative Bayesian Stepwise Selection" (IBSS), is simple
 and fast, allowing the SuSiE model be fit to large data sets
 (thousands of samples and hundreds of thousands of variables).

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-curl,
 r-cran-testthat,
 r-cran-microbenchmark,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-cowplot,
